import { Routes } from '@angular/router';
import { TestComponent } from './test/test.component';
import { NewHotelComponent } from './new-hotel/new-hotel.component';

export const routes: Routes = [
  {
    path: '',
    loadComponent: () =>
      import('./hotel-list/hotel-list.component').then(
        (c) => c.HotelListComponent,
      ),
  },
  {
    path: 'hotels/:id',
    loadComponent: () =>
      import('./hotel-details/hotel-details.component').then(
        (c) => c.HotelDetailsComponent,
      ),
  },
  {
    path: 'testing',
    component: TestComponent,
  },
  {
    path: 'new',
    component: NewHotelComponent,
  },
];
